function S=corrGaussianmat(D,theta)
% Gaussian correlation matrix of design D with parameter theta

[n p]=size(D); S=zeros(n,n);
for i=1:n
    for j=i:n
        if j==i
            S(i,j)=0.5;
        else
            S(i,j)=corrGaussian(D(i,:),D(j,:),theta);
        end
    end
end
S=S+S';