function S=corrGaussianmat2(D1,D2,theta)
% Gaussian correlation matrix of design D1 and D2 with parameter theta

[n1 p]=size(D1); [n2 p]=size(D2); S=zeros(n1,n2);
for i=1:n1
    for j=1:n2
         S(i,j)=corrGaussian(D1(i,:),D2(j,:),theta);
    end
end